# Personal Microclient

<p>Aren't you tired of distracting social media platforms?
So many buttons and advertising makes a simple task of
reading and composing notes to your community very draining. You can use
a next generation social media protocol to transform
your personal website into a micro social media client
that will clear up space on your phone for media. </p>


<p>I'm using <a href="https://prosemirror.net/">ProseMirror</a>,
 to build a WYSIWYM style rich text editor for visitors
to compose notes with. I'm taking inspiration from tumblr
and medium's text editors to build something minimal and
intuitive that will run easily via browsers. </p>


<p>I scaffolded the project with PWA Builder and am using
Lit to power up my Web Components. The website utilizes
the Nostr protocol to sign in via browser extension to
fetch profile metadata and pull event kinds 0, 1, and 30023
from a relay. </p>



<p>If you're on any chrome-based, firefox or safari browser try visiting the webpage then tapping on the arrow pointing up in the bottom toolbar. Scroll down a bit to tap on "Add to Home Screen".
If you're on a chromium-based browser you should be able to do the same.</p>

<p>Potential Use cases
Put public library record digitized in a nostr client feed for their public records

blog feed and reflect activity

for pitch to group, have a side by side example of blog written in markdown, microsoft word, and rich text.

</p>




# TODO

<ul>
<li>refactor</li>
<li>dropdown menu a la Medium</li>
<li>long form blog view</li>
<li>include instructions as preloaded content </li>

</ul>




## How to try it out

Visit https://miguelalmodo.com/dist to try installing to your
smartphone home screen.

